<?php
/***************************************************************************
 *   Professional Download System                                          *
 *                                                                         *
 *   Copyright (C) pirdani                                                 *
 *   pirdani@hotmail.de                                                    *
 *   http://pirdani.de/                                                    *
 *                                                                         *
 *   Copyright (C) 2005 EdEdster (Stefan Noss)                             *
 *   http://edsterathome.de/                                               *
 *                                                                         *
 *   Copyright (C) 2006-2007 Artur Wiebe                                   *
 *   wibix@gmx.de                                                          *
 *   http://wibix.de/                                                      *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
if(!defined("IN_FUSION")) {
	die("");
}
require_once("common.php");


$admin_items = array(
	"admin.php"		=> $locale['PDP037'],
	"settings.php"		=> $locale['PDP700'],
	"cats.php"		=> $locale['PDP820'],
	"licenses.php"		=> $locale['PDP800'],
	"downloads.php"		=> $locale['PDP004'],
);
$w = intval(100 / count($admin_items));
$pdp_admin_menu = "
<table class='tbl-border' cellspacing='1' cellpadding='0' width='100%'>
<tr>\n";
foreach($admin_items as $href => $title) {
	$c = "tbl".($href==FUSION_SELF ? "1" : "2");
	$pdp_admin_menu .= "<td width='$w%' align='center' class='$c'><a href='$href'>$title</a></td>\n";
}
$pdp_admin_menu .= "
</tr>
</table>
<div align='right'><strong>Professional Download System ".$pdp->settings['version']."</strong></div>
<hr>\n";
unset($admin_items);


function pdp_get_upload_max_filesize()
{
	$size = trim(ini_get("upload_max_filesize"));

	if(!empty($size)) {
		$last = strtolower(substr($size, -1));

		switch($last) {
		case 'g': $size *= 1024;
		case 'm': $size *= 1024;
		case 'k': $size *= 1024;
		}
	}

	return $size;
}

?>
