<?php
/***************************************************************************
 *   Professional Download System                                          *
 *                                                                         *
 *   Copyright (C) pirdani                                                 *
 *   pirdani@hotmail.de                                                    *
 *   http://pirdani.de/                                                    *
 *                                                                         *
 *   Copyright (C) 2005 EdEdster (Stefan Noss)                             *
 *   http://edsterathome.de/                                               *
 *                                                                         *
 *   Copyright (C) 2006-2007 Artur Wiebe                                   *
 *   wibix@gmx.de                                                          *
 *   http://wibix.de/                                                      *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
if(!defined("IN_FUSION")) {
	die("");
}

define("iPDP_COMMON",	true);

require_once(INFUSIONS."pro_download_panel/include/core.php");
if(!iPDP_CAN_VIEW
	&& !in_array(FUSION_SELF, array("error.php", "copyright.php"))) {
	fallback(INFUSIONS."pro_download_panel/error.php?type=access");
}


/*
 * get download
 */
require_once("class.download.php");
$download = new pdpDownload(isset($_GET['did']) && isNum($_GET['did'])
	? $_GET['did']
	: 0);


if($download->id && $download->status!=PDP_PRO_ON && !$download->can_edit) {
	fallback("download.php?catid=".$download->data['cat_id']);
}


/*
 * FUNCS
 */
// bb-buttons and smileys
function pdp_get_bb_smileys($input, $val, $is_enabled, $show_smileys=true) {
	global $locale;
	return "<input type='button' value='b' class='button' style='font-weight:bold;width:25px;' onClick=\"addText('$input', '[b]', '[/b]');\">
<input type='button' value='i' class='button' style='font-style:italic;width:25px;' onClick=\"addText('$input', '[i]', '[/i]');\">
<input type='button' value='u' class='button' style='text-decoration:underline;width:25px;' onClick=\"addText('$input', '[u]', '[/u]');\">
<input type='button' value='url' class='button' style='width:30px;' onClick=\"addText('$input', '[url]', '[/url]');\">
<input type='button' value='mail' class='button' style='width:35px;' onClick=\"addText('$input', '[mail]', '[/mail]');\">
<input type='button' value='img' class='button' style='width:30px;' onClick=\"addText('$input', '[img]', '[/img]');\">
<input type='button' value='center' class='button' style='width:45px;' onClick=\"addText('$input', '[center]', '[/center]');\">
<input type='button' value='small' class='button' style='width:40px;' onClick=\"addText('$input', '[small]', '[/small]');\">
<input type='button' value='code' class='button' style='width:40px;' onClick=\"addText('$input', '[code]', '[/code]');\">
<input type='button' value='quote' class='button' style='width:45px;' onClick=\"addText('$input', '[quote]', '[/quote]');\">
<br>"
.($show_smileys ? "<br>".displaysmileys($input) : "")
.($is_enabled
? "<br><input type='checkbox' name='disable_smileys'"
	." value='$val'".($val=="0" ? " checked" : "").">"
	.$locale['PDP041']
: "");
}


function pdp_cleanup_filename($filename)
{
	$filename = preg_replace("/__\d+\.\S$/", "", $filename);
	$filename = preg_replace("/\[\d+\]\.\S$/", "", $filename);
	return $filename;
}


function pdp_is_external($url)
{
	return (substr($url, 0, 7)=="http://"
		|| substr($url, 0, 8)=="https://"
		|| substr($url, 0, 6)=="ftp://");
}


function pdp_get_captcha()
{
	srand((double)microtime()*1000000);
	$temp_num = md5(rand(0,9999));
	$vcode_1 = substr($temp_num, 17, 5);
	$vcode_2 = md5($vcode_1);
	unset($temp_num);
	$ok = dbquery("INSERT INTO ".DB_PREFIX."vcode"
		." SET vcode_datestamp='".time()."',"
		." vcode_1='$vcode_1', vcode_2='$vcode_2'");
	return $vcode_1;
}


function pdp_check_captcha($vcode_1)
{
	$ok = dbquery("DELETE FROM ".DB_PREFIX."vcode"
			." WHERE vcode_1='".stripinput($vcode_1)."'");
	return mysql_affected_rows();
}


function pdp_calc_avg_vote($id)
{
	$avg = 0;

	$query_id = dbquery("SELECT vote_opt, COUNT(vote_opt) AS vote_count"
		." FROM ".DB_PREFIX."pdp_votes"
		." WHERE download_id='".$id."'"
		." GROUP BY vote_opt");
	if(!dbrows($query_id)) {
		return $avg;
	}

	$votes = array(0, 0, 0, 0, 0, 0);	// index 0 is not used.
	$nr_votes = 0;
	while($data = dbarray($query_id)) {
		$votes[$data['vote_opt']] = $data['vote_count'];
		$nr_votes += $data['vote_count'];
	}
	for($i=1; $i<6; ++$i) {
		$avg += $i*$votes[$i]/$nr_votes;
	}
	return $avg;
}


?>
