<?php
/***************************************************************************
 *   Professional Download System                                          *
 *                                                                         *
 *   Copyright (C) pirdani                                                 *
 *   pirdani@hotmail.de                                                    *
 *   http://pirdani.de/                                                    *
 *                                                                         *
 *   Copyright (C) 2005 EdEdster (Stefan Noss)                             *
 *   http://edsterathome.de/                                               *
 *                                                                         *
 *   Copyright (C) 2006-2007 Artur Wiebe                                   *
 *   wibix@gmx.de                                                          *
 *   http://wibix.de/                                                      *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
require_once("../../maincore.php");
require_once(BASEDIR."subheader.php");
require_once(BASEDIR."side_left.php");

require_once("include/common.php");


if(!$download->id) {
	fallback("index.php");
}


if(isset($_GET['pic_id']) && isNum($_GET['pic_id'])) {
	$pic_id = $_GET['pic_id'];
} else {
	$pic_id = 0;
}


$pic = "";
$pic_desc = "";
if($pic_id) {
	$query_id = dbquery("SELECT pic_url, pic_desc"
		." FROM ".DB_PREFIX."pdp_images"
		." WHERE download_id='".$download->id."' AND pic_id='$pic_id'"
			." AND pic_status='0'");
	if(dbrows($query_id)) {
		$data = dbarray($query_id);
		$pic = $data['pic_url'];
		$pic_desc = $data['pic_desc'];
	}
}

if(empty($pic)) {
	$pic = $download->data['dl_pic'];
}

if(!empty($pic)) {
	$pic = "<p><img src='".$pdp->settings['upload_image']."$pic' alt='IMG'>"
		."<br>$pic_desc";
}


/*
 * GUI
 */
opentable($download->data['dl_name']);
echo "<a href='download.php?did=".$download->id."'>".$locale['PDP026']."</a>
<p>\n";



$links = array();
if(!empty($download->data['dl_pic'])) {
	$links[] = "<a href=''>".$download->data['dl_name']."</a>";
}

$query_id = dbquery("SELECT pic_id,"
	." IF(LENGTH(pic_desc), pic_desc, '".$download->data['dl_name']."') AS pic_desc"
	." FROM ".DB_PREFIX."pdp_images"
	." WHERE download_id='".$download->id."' AND pic_status='0'");
while($data = dbarray($query_id)) {
	if($data['pic_id']==$pic_id) {
		$data['pic_desc'] = "<b>".$data['pic_desc']."</b>";
	}
	$links[] = "<a href='".FUSION_SELF."?did=".$download->id
		."&amp;pic_id=".$data['pic_id']
		."'>".$data['pic_desc']."</a>";
}


echo "<div style='text-align: center;'>";
echo implode(" | ", $links);
echo $pic;
echo "</div>\n";


closetable();


require_once(BASEDIR."side_right.php");
require_once(BASEDIR."footer.php");
?>
