<?php
/***************************************************************************
 *   Professional Download System                                          *
 *                                                                         *
 *   Copyright (C) pirdani                                                 *
 *   pirdani@hotmail.de                                                    *
 *   http://pirdani.de/                                                    *
 *                                                                         *
 *   Copyright (C) 2005 EdEdster (Stefan Noss)                             *
 *   http://edsterathome.de/                                               *
 *                                                                         *
 *   Copyright (C) 2006-2007 Artur Wiebe                                   *
 *   wibix@gmx.de                                                          *
 *   http://wibix.de/                                                      *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
require_once("../../maincore.php");
require_once(BASEDIR."subheader.php");
require_once(BASEDIR."side_left.php");

require_once("include/common.php");
require_once("include/theme_funcs.php");


//
unset($stext);
if(isset($_GET['stext']) && !empty($_GET['stext'])) {
	$stext = stripinput($_GET['stext']);
}


/*
 * GUI
 */
opentable($pdp->settings['title']);
pdp_menu();
echo "<hr>\n";


//$highlight = "<span class='poll'>\\1</span>";


//
if(isset($stext) && strlen($stext) >= 3) {
	$downs = array();
	$count = pdpCore::get_downloads("", $stext, "dl_name ASC", 0, 0, false,
		$downs);

	echo "<p><b>".$locale['PDP182'].": </b>$stext";
	echo "<p>$count ".$locale['PDP181'];

	if($count) {
		pdp_render_downs($downs, 0, $pdp->settings['per_page'], $count,
			$link);
	}
/*
	foreach($downs as $data) {
		$desc = nl2br(parseubb($data['desc']));
		echo "<p><b><a href='download.php?did=".$data['id']."'>"
				.$data['name']."</a></b>\n<br>".$desc;
	}
*/

} else {
	echo $locale['PDP180'];
}


closetable();


require_once(BASEDIR."side_right.php");
require_once(BASEDIR."footer.php");
?>
